org.richfaces.component

## Class UITogglePanel

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - org.richfaces.component.UISwitchablePanel
          - - org.richfaces.component.UITogglePanel

- All Implemented Interfaces:
    javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder
  Direct Known Subclasses:
    HtmlTogglePanel

      public abstract class UITogglePanel
      extends org.richfaces.component.UISwitchablePanel

  JSF component class

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY` The standard component family for this component.
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.UISwitchablePanel

      `AJAX_METHOD, CLIENT_METHOD, DEFAULT_METHOD, SERVER_METHOD`

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UITogglePanel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `convertSwitchValue(javax.faces.component.UIComponent toggleControlComponent, java.lang.Object object)`
    `abstract java.lang.String` | `getInitialState()`
    `abstract java.lang.String` | `getStateOrder()`
    `java.util.List<java.lang.String>` | `getStateOrderList()`
    `abstract java.lang.String` | `getSwitchType()`
    `java.lang.Object` | `getValue()`
    `abstract void` | `setInitialState(java.lang.String initialState)`
    `abstract void` | `setStateOrder(java.lang.String stateOrder)`
    `abstract void` | `setSwitchType(java.lang.String switchType)`
    `void` | `setValue(java.lang.Object value)`

    - ### Methods inherited from class org.richfaces.component.UISwitchablePanel

      `broadcast, getSwitchedFacetsAndChildren, processDecodes, processUpdates, processValidators, queueEvent, restoreState, saveState, updateModel`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, compareValues, decode, getConvertedValue, getConverterMessage, getFamily, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, removeValidator, removeValueChangeListener, resetValue, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValueChangeListener, validate, validateValue`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      The standard component family for this component.

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UITogglePanel

          public UITogglePanel()

  - ### Method Detail

    - #### getValue

          public java.lang.Object getValue()

      Specified by:
        `getValue` in interface `javax.faces.component.ValueHolder`
      Overrides:
        `getValue` in class `javax.faces.component.UIOutput`

    - #### setValue

          public void setValue(java.lang.Object value)

      Specified by:
        `setValue` in interface `javax.faces.component.ValueHolder`
      Overrides:
        `setValue` in class `javax.faces.component.UIInput`

    - #### setInitialState

          public abstract void setInitialState(java.lang.String initialState)

    - #### getInitialState

          public abstract java.lang.String getInitialState()

    - #### setStateOrder

          public abstract void setStateOrder(java.lang.String stateOrder)

    - #### getStateOrder

          public abstract java.lang.String getStateOrder()

    - #### getSwitchType

          public abstract java.lang.String getSwitchType()

      Overrides:
        `getSwitchType` in class `org.richfaces.component.UISwitchablePanel`

    - #### setSwitchType

          public abstract void setSwitchType(java.lang.String switchType)

      Overrides:
        `setSwitchType` in class `org.richfaces.component.UISwitchablePanel`

    - #### convertSwitchValue

          public java.lang.Object convertSwitchValue(javax.faces.component.UIComponent toggleControlComponent,
                                            java.lang.Object object)

      Overrides:
        `convertSwitchValue` in class `org.richfaces.component.UISwitchablePanel`

    - #### getStateOrderList

          public java.util.List<java.lang.String> getStateOrderList()

Copyright © 2013. All Rights Reserved.